Skip to main content
PUT
/
transform-group
/
{transform_group_id}
/
transform
/
{transform_group_transform_id}
cURL
curl --request PUT \
  --url https://api.mezmo.com/v3/transform-group/{transform_group_id}/transform/{transform_group_transform_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "user_config": {},
  "generation_id": 123,
  "deploy_type": "saas",
  "description": "<string>",
  "inputs": [
    "<string>"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

transform_group_id
string<uuid>
required
transform_group_transform_id
string<uuid>
required

Body

application/json
type
enum<string>
required
Available options:
filter,
sample,
drop-fields,
parse,
parse-sequentially,
route,
stringify,
compact-fields,
flatten-fields,
dedupe,
encrypt-fields,
decrypt-fields,
js-script,
unroll,
vrl,
reduce,
map-fields,
metrics-tag-cardinality-limit,
aggregate,
event-to-metric,
clustering,
redact,
throttle,
set-timestamp,
data-profiler,
replace,
trace-sampling
title
string
required
Maximum string length: 512
Pattern: ^[^<>"]+$
user_config
object
required
generation_id
integer
required
deploy_type
enum<string>
default:saas
Available options:
saas,
local
description
string | null
Minimum string length: 1
Pattern: ^[^<>"]+$
inputs
string[]

A list of inputs for the given transform. Typically this is empty when creating a new transform via the UI, but is leveraged by the terraform provider when managing pipeline state.

Response

200

Default Response